database_api.list_vesting_delegations
since HF17
Purpose
Returns a list of vesting delegations. Parameters: start:array, limit:int, order:string
limitis up to 1000.ordercan be one of:by_delegation- order by delegationsstartis an array of two values:delegator,delegatee
start (array) | limit (int) | order (string) | |
|---|---|---|---|
["", ""] | 10 | by_delegation | Queries delegations, limit to 10 results, order by delegations. |
Also see: Paginated API Methods
Parameters
PARAMETERS
json
{
"start": null,
"limit": 0,
"order": "by_name"
}Example
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_vesting_delegations",
"params": {
"start": [
"",
""
],
"limit": 10,
"order": "by_delegation"
},
"id": 1
}'Response
RESPONSE
json
{
"delegations": [
{
"id": 554317,
"delegator": "a-0-0-0",
"delegatee": "a-0-0",
"vesting_shares": {
"amount": "6141067173",
"precision": 6,
"nai": "@@000000037"
},
"min_delegation_time": "2018-01-24T22:23:54"
}
]
}